#include <iostream>

using namespace std;

// Amperajı Watt'a dönüştürmek için bir fonksiyon tanımladık
double amperToWatt(double amperaj, double voltaj) {
    return amperaj * voltaj; // Amperajı voltajla çarparak watt'a dönüştürür
}

// Watt'ı Ampera dönüştürmek için bir fonksiyon tanımladık
double wattToAmper(double watt, double voltaj) {
    return watt / voltaj; // Watt'ı voltaja bölerek amperaja dönüştürür
}

int main() {
    int secim;
    double deger, voltaj;

    // Kullanıcıya dönüştürme işlemi seçeneklerini gösterdik
    cout << "Lütfen dönüştürme işlemi seçiniz:" << endl;
    cout << "1. Ampere dönüştür" << endl;
    cout << "2. Watte dönüştür" << endl;
    cout << "Seçiminiz: ";
    cin >> secim; // Kullanıcının seçimini aldık

    // Kullanıcının seçimine göre ilgili işlemi gerçekleştirir
    if (secim == 1) {
        // Ampere dönüştürme işlemi
        cout << "Amperajı girin: ";
        cin >> deger; // Amperaj değerini aldık
        cout << "Voltajı girin: ";
        cin >> voltaj; // Voltaj değerini aldık
        double watt = amperToWatt(deger, voltaj); // amperToWatt fonksiyonunu kullanarak dönüşüm yapar
        cout << "Sonuç: " << watt << " Watt" << endl; // Sonucu ekrana yazdırır
    } else if (secim == 2) {
        // Watt'a dönüştürme işlemi
        cout << "Watt değerini girin: ";
        cin >> deger; // Watt değerini aldık
        cout << "Voltajı girin: ";
        cin >> voltaj; // Voltaj değerini aldık
        double amperaj = wattToAmper(deger, voltaj); // wattToAmper fonksiyonunu kullanarak dönüşüm yapar
        cout << "Sonuç: " << amperaj << " Amper" << endl; // Sonucu ekrana yazdırır
    } else {
        cout << "Geçersiz seçim!" << endl; // Geçersiz seçim durumunda kullanıcıya hata mesajı gösterir
    }

    return 0;
}
